Skip to main content
GET
/
api
/
public
/
v1
/
assets
/
{canonical}
/
cross-market
Get API public v1 assets by canonical cross market
curl --request GET \
  --url https://api.coinversa.ai/api/public/v1/assets/{canonical}/cross-market \
  --header 'X-API-Key: <api-key>'
{
  "aggregate": {
    "biasRange": 123,
    "longNotional": 123,
    "longPositions": 123,
    "netBias": 123,
    "shortNotional": 123,
    "shortPositions": 123,
    "totalOpenInterest": 123,
    "totalPositions": 123,
    "totalUniqueWallets": 123,
    "totalUnrealizedPnl": 123,
    "totalVolume24h": 123
  },
  "asset": {
    "canonical": "<string>",
    "crossMarket": true,
    "synonyms": [
      "<string>"
    ],
    "venueCount": 123
  },
  "query": "<string>",
  "resolvedCanonical": "<string>",
  "venues": [
    {
      "collateral": "<string>",
      "dex": "<string>",
      "isSynonym": true,
      "symbol": "<string>",
      "ticker": "<string>",
      "avgLongLeverage": 123,
      "avgShortLeverage": 123,
      "fundingRate": 123,
      "longNotional": 123,
      "longPositions": 123,
      "markPx": 123,
      "netBias": 123,
      "openInterest": 123,
      "positions": 123,
      "shortNotional": 123,
      "shortPositions": 123,
      "totalUnrealizedPnl": 123,
      "uniqueWallets": 123,
      "volume24h": 123
    }
  ],
  "$schema": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

canonical
string
required

Response

OK

aggregate
object
required
asset
object
required
query
string
required
resolvedCanonical
string
required
venues
object[] | null
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/GetAssetCrossMarketBody.json"